  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."SHARED_ACCOUNTS_V" ("ID", "UNIQUE_ACCOUNT_ID", "NAME", "COLLECTED_ENTITY", "EFFECTIVE_ENTITY", "SACCOUNT_SVERSION", "SUSER", "SACCOUNT_USER_SVERSION", "DISPLAY_NAME") AS 
  SELECT acct.id,
    acct.unique_account_id,
    acct.name,
    acct.collected_entity,
    acct.effective_entity,
    acct.sversion saccount_sversion,
    saccu.suser,
    saccu.sversion saccount_user_sversion,
    suser.display_name
   FROM saccount acct
     LEFT JOIN saccount_user saccu ON acct.collected_entity = saccu.saccount
     LEFT JOIN ( SELECT max(saccu2.sversion) max_sversion
           FROM saccount_user saccu2) version ON version.max_sversion = saccu.sversion
     LEFT JOIN suser suser ON suser.id = saccu.suser
  WHERE acct.relation_to_user_type = 'SHARED' AND saccu.effective = 0 AND acct.virtual = 0 AND acct.effective = 1
  ORDER BY acct.name, suser.display_name;

GRANT SELECT ON igops.shared_accounts_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM shared_accounts_v for igops.shared_accounts_v;