CREATE OR REPLACE VIEW public.review_parameter_v AS 
 SELECT DISTINCT defn.name AS review_name,
    defn.unique_review_def_id
   FROM review_definition defn
  WHERE (EXISTS ( SELECT 1
           FROM review_instance ri
             JOIN review_item item ON item.review_instance_id = ri.id
          WHERE ri.review_definition = defn.id)) AND defn.deleted = false
  ORDER BY defn.name;

ALTER TABLE public.review_parameter_v
  OWNER TO igops;
GRANT ALL ON TABLE public.review_parameter_v TO igops;
GRANT SELECT ON TABLE public.review_parameter_v TO ig_report_role;
